Loading...
Searching...
No Matches
juce::Message Class Reference

## Detailed Description

The base class for objects that can be sent to a MessageListener.

If you want to send a message that carries some kind of custom data, just create a subclass of Message with some appropriate member variables to hold your data.

Always create a new instance of a Message object on the heap, as it will be deleted automatically after the message has been delivered.

See also
  MessageListener, MessageManager, ActionListener, ChangeListener

The documentation for this class was generated from the following file:

- juce_events/messages/juce_Message.h

Inheritance diagram for juce::Message:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<Message>
Public Types inherited from juce::MessageManager::MessageBase
using | Ptr = ReferenceCountedObjectPtr<MessageBase>

## Public Member Functions

| Message () noexcept
| Creates an uninitialised message.
| ~Message () override
Public Member Functions inherited from juce::MessageManager::MessageBase
| MessageBase ()=default
| ~MessageBase () override=default
bool | post ()
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members

Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::Message::Ptr = ReferenceCountedObjectPtr<Message>

## Constructors and Destructors

## Message()

juce::Message::Message | ( |  | ) |

noexcept

Creates an uninitialised message.

Referenced by MessageListener, and ~Message().

## ~Message()

juce::Message::~Message | ( |  | ) |

override

References Message().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited